#!/bin/sh

if test $# != 1 ; then
	echo "usage : " `basename $0` "FILENAME" 1>&2
	exit 1
fi

descartes teniwoha.dec < $1 >tmpfile.str

sort tmpfile.str | descartes wsort-reduce.dec | sort -g -r -k 2 > outputs.str

